// SPDX-FileCopyrightText: 2024 Aravinth Manivannan <realaravinth@batsense.net>
//
// SPDX-License-Identifier: AGPL-3.0-or-later

mod login_page;
mod request_oauth_authorization_forgejo;

use actix_web::web;

use super::adapter;
use super::template;
use super::types;
use super::WebLoginPageInterface;

pub fn services(cfg: &mut web::ServiceConfig) {
    login_page::services(cfg);
    request_oauth_authorization_forgejo::services(cfg);
}
