// SPDX-FileCopyrightText: 2024 Aravinth Manivannan <realaravinth@batsense.net>
//
// SPDX-License-Identifier: AGPL-3.0-or-later

use actix_web::web;

use super::types;

mod adapter;
mod dummy;
mod handlers;

pub fn services(cfg: &mut web::ServiceConfig) {
    handlers::services(cfg);
    dummy::services(cfg);
}
