// SPDX-FileCopyrightText: 2024 Aravinth Manivannan <realaravinth@batsense.net>
//
// SPDX-License-Identifier: AGPL-3.0-or-later

//pub mod errors;
pub mod process_authorization_response;
pub mod refresh_access_token;
pub mod request_authorization;

// ## 1. Request authorization
// 1. Generate state
// 2. Save state
// 3. Redirect user to authorization page on forge:
// Gitea: https://[YOUR-GITEA-URL]/login/oauth/authorize?client_id=CLIENT_ID&redirect_uri=REDIRECT_URI&response_type=code&state=STATE
// GitHub: https://github.com/login/oauth/authorize?client_id=12345&state=abcdefg
// ## 2. Process authorization response
// 1. Get state code. If not present -> error
// 2. Get access code against `code`
// 3. If access code exists for user, delete it.
// 4. Save access code, refresh_code and  expires_in
// ## 3. Refresh access toekn
// 1. Get access code against `refresh_code`
// 2. Save access code, refresh_code and  expires_in
