// SPDX-FileCopyrightText: 2024 Aravinth Manivannan <realaravinth@batsense.net>
//
// SPDX-License-Identifier: AGPL-3.0-or-later

#[async_trait::async_trait]
pub trait CreateDatabase: Send + Sync {
    async fn create_database(&self, url: &url::Url);
}
