-- SPDX-FileCopyrightText: 2024 Aravinth Manivannan <realaravinth@batsense.net>
--
-- SPDX-License-Identifier: AGPL-3.0-or-later

CREATE TABLE IF NOT EXISTS oauth_access_token (
    oauth_provider TEXT NOT NULL,
    access_token TEXT NOT NULL,
    refresh_token TEXT NOT NULL,
    token_type VARCHAR(30) NOT NULL,
    created_at timestamptz NOT NULL,
    expires_in INTEGER NOT NULL,
    username TEXT NOT NULL,
    UNIQUE (username, oauth_provider),
	ID SERIAL PRIMARY KEY NOT NULL
);
